MyGUI: MyGUI::LayerNode Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
MyGUI::LayerNode Class Reference

`#include <MyGUI_LayerNode.h>`

Inheritance diagram for MyGUI::LayerNode:
[legend]

## Public Types
typedef RTTIBase | Base
typedef LayerNode | RTTIBase
Public Types inherited from MyGUI::ILayerNode
typedef RTTIBase | Base
typedef ILayerNode | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| LayerNode (ILayer *_layer, ILayerNode *_parent=0)
virtual | ~LayerNode ()
virtual ILayer * | getLayer () const
virtual ILayerNode * | getParent () const
virtual ILayerNode * | createChildItemNode ()
virtual void | destroyChildItemNode (ILayerNode *_node)
virtual void | upChildItemNode (ILayerNode *_node)
virtual EnumeratorILayerNode | getEnumerator () const
virtual size_t | getLayerNodeCount () const
virtual ILayerNode * | getLayerNodeAt (size_t _index) const
virtual void | attachLayerItem (ILayerItem *_item)
virtual void | detachLayerItem (ILayerItem *_item)
virtual RenderItem * | addToRenderItem (ITexture *_texture, bool _firstQueue, bool _manualRender)
virtual void | outOfDate (RenderItem *_item)
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual void | renderToTarget (IRenderTarget *_target, bool _update)
virtual void | resizeView (const IntSize &_viewSize)
virtual float | getNodeDepth ()
bool | isOutOfDate () const
Public Member Functions inherited from MyGUI::ILayerNode
template<typename Type >
bool | isType () const
virtual | ~ILayerNode ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ILayerNode
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Member Functions
void | updateCompression ()
RenderItem * | addToRenderItemFirstQueue (ITexture *_texture, bool _manualRender)
RenderItem * | addToRenderItemSecondQueue (ITexture *_texture, bool _manualRender)

## Protected Attributes
VectorRenderItem | mFirstRenderItems
VectorRenderItem | mSecondRenderItems
VectorLayerItem | mLayerItems
VectorILayerNode | mChildItems
ILayerNode * | mParent
ILayer * | mLayer
bool | mOutOfDate
float | mDepth

## Detailed Description

Definition at line 22 of file MyGUI_LayerNode.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::LayerNode::Base

Definition at line 25 of file MyGUI_LayerNode.h.

## ◆ RTTIBase

typedef LayerNode MyGUI::LayerNode::RTTIBase

Definition at line 25 of file MyGUI_LayerNode.h.

## Constructor & Destructor Documentation

## ◆ LayerNode()

MyGUI::LayerNode::LayerNode | ( | ILayer * | _layer,
|  | ILayerNode * | _parent = `0`
| ) |  |
| explicit

Definition at line 17 of file MyGUI_LayerNode.cpp.

## ◆ ~LayerNode()

MyGUI::LayerNode::~LayerNode | ( |  | ) |
| virtual

Definition at line 25 of file MyGUI_LayerNode.cpp.

## Member Function Documentation

## ◆ addToRenderItem()

RenderItem * MyGUI::LayerNode::addToRenderItem | ( | ITexture * | _texture,
|  | bool | _firstQueue,
|  | bool | _manualRender
| ) |  |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 130 of file MyGUI_LayerNode.cpp.

## ◆ addToRenderItemFirstQueue()

RenderItem * MyGUI::LayerNode::addToRenderItemFirstQueue | ( | ITexture * | _texture,
|  | bool | _manualRender
| ) |  |
| protected

Definition at line 142 of file MyGUI_LayerNode.cpp.

## ◆ addToRenderItemSecondQueue()

RenderItem * MyGUI::LayerNode::addToRenderItemSecondQueue | ( | ITexture * | _texture,
|  | bool | _manualRender
| ) |  |
| protected

Definition at line 197 of file MyGUI_LayerNode.cpp.

## ◆ attachLayerItem()

void MyGUI::LayerNode::attachLayerItem | ( | ILayerItem * | _item | ) |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 224 of file MyGUI_LayerNode.cpp.

## ◆ createChildItemNode()

ILayerNode * MyGUI::LayerNode::createChildItemNode | ( |  | ) |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 40 of file MyGUI_LayerNode.cpp.

## ◆ destroyChildItemNode()

void MyGUI::LayerNode::destroyChildItemNode | ( | ILayerNode * | _node | ) |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 50 of file MyGUI_LayerNode.cpp.

## ◆ detachLayerItem()

void MyGUI::LayerNode::detachLayerItem | ( | ILayerItem * | _item | ) |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 232 of file MyGUI_LayerNode.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::LayerNode::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 25 of file MyGUI_LayerNode.h.

## ◆ getEnumerator()

EnumeratorILayerNode MyGUI::LayerNode::getEnumerator | ( |  | ) | const
| virtual

Implements MyGUI::ILayerNode.

Definition at line 255 of file MyGUI_LayerNode.cpp.

## ◆ getLayer()

ILayer * MyGUI::LayerNode::getLayer | ( |  | ) | const
| virtual

Implements MyGUI::ILayerNode.

Definition at line 309 of file MyGUI_LayerNode.cpp.

## ◆ getLayerItemByPoint()

ILayerItem * MyGUI::LayerNode::getLayerItemByPoint | ( | int | _left,
|  | int | _top
| ) |  | const
| virtual

Implements MyGUI::ILayerNode.

Definition at line 110 of file MyGUI_LayerNode.cpp.

## ◆ getLayerNodeAt()

ILayerNode * MyGUI::LayerNode::getLayerNodeAt | ( | size_t | _index | ) | const
| virtual

Implements MyGUI::ILayerNode.

Definition at line 265 of file MyGUI_LayerNode.cpp.

## ◆ getLayerNodeCount()

size_t MyGUI::LayerNode::getLayerNodeCount | ( |  | ) | const
| virtual

Implements MyGUI::ILayerNode.

Definition at line 260 of file MyGUI_LayerNode.cpp.

## ◆ getNodeDepth()

float MyGUI::LayerNode::getNodeDepth | ( |  | ) |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 342 of file MyGUI_LayerNode.cpp.

## ◆ getParent()

ILayerNode * MyGUI::LayerNode::getParent | ( |  | ) | const
| virtual

Implements MyGUI::ILayerNode.

Definition at line 314 of file MyGUI_LayerNode.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::LayerNode::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ILayerNode.

Reimplemented in MyGUI::SharedLayerNode.

Definition at line 25 of file MyGUI_LayerNode.h.

## ◆ isOutOfDate()

bool MyGUI::LayerNode::isOutOfDate | ( |  | ) | const

Definition at line 319 of file MyGUI_LayerNode.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::LayerNode::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 25 of file MyGUI_LayerNode.h.

## ◆ isType() [2/2]

virtual bool MyGUI::LayerNode::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ILayerNode.

Reimplemented in MyGUI::SharedLayerNode.

Definition at line 25 of file MyGUI_LayerNode.h.

## ◆ outOfDate()

void MyGUI::LayerNode::outOfDate | ( | RenderItem * | _item | ) |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 248 of file MyGUI_LayerNode.cpp.

## ◆ renderToTarget()

void MyGUI::LayerNode::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update
| ) |  |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 84 of file MyGUI_LayerNode.cpp.

## ◆ resizeView()

void MyGUI::LayerNode::resizeView | ( | const IntSize & | _viewSize | ) |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 102 of file MyGUI_LayerNode.cpp.

## ◆ upChildItemNode()

void MyGUI::LayerNode::upChildItemNode | ( | ILayerNode * | _node | ) |
| virtual

Implements MyGUI::ILayerNode.

Definition at line 67 of file MyGUI_LayerNode.cpp.

## ◆ updateCompression()

void MyGUI::LayerNode::updateCompression | ( |  | ) |
| protected

Definition at line 272 of file MyGUI_LayerNode.cpp.

## Field Documentation

## ◆ mChildItems

VectorILayerNode MyGUI::LayerNode::mChildItems
| protected

Definition at line 90 of file MyGUI_LayerNode.h.

## ◆ mDepth

float MyGUI::LayerNode::mDepth
| protected

Definition at line 95 of file MyGUI_LayerNode.h.

## ◆ mFirstRenderItems

VectorRenderItem MyGUI::LayerNode::mFirstRenderItems
| protected

Definition at line 82 of file MyGUI_LayerNode.h.

## ◆ mLayer

ILayer* MyGUI::LayerNode::mLayer
| protected

Definition at line 93 of file MyGUI_LayerNode.h.

## ◆ mLayerItems

VectorLayerItem MyGUI::LayerNode::mLayerItems
| protected

Definition at line 87 of file MyGUI_LayerNode.h.

## ◆ mOutOfDate

bool MyGUI::LayerNode::mOutOfDate
| protected

Definition at line 94 of file MyGUI_LayerNode.h.

## ◆ mParent

ILayerNode* MyGUI::LayerNode::mParent
| protected

Definition at line 92 of file MyGUI_LayerNode.h.

## ◆ mSecondRenderItems

VectorRenderItem MyGUI::LayerNode::mSecondRenderItems
| protected

Definition at line 83 of file MyGUI_LayerNode.h.

The documentation for this class was generated from the following files:

- MyGUI_LayerNode.h
- MyGUI_LayerNode.cpp